Bug 892885 - Accidentally coredump when open a virt-viewer window [NEEDINFO]
Accidentally coredump when open a virt-viewer window
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 02:09 EST by EricLee
Modified: 2013-05-13 06:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 06:02:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
marcandre.lureau: needinfo?


Attachments (Terms of Use)
coredump (962.34 KB, application/octet-stream)
2013-01-08 02:09 EST, EricLee
no flags Details

  None (edit)
Description EricLee 2013-01-08 02:09:20 EST
Created attachment 674520 [details]
coredump

Description of problem:
Accidentally coredump when open a virt-viewer window:
# virt-viewer r

Gdk-ERROR **: The program 'virt-viewer' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 482 error_code 2 request_code 139 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Aborted (core dumped)

Version-Release number of selected component (if applicable):
# rpm -qa libvirt qemu-kvm-rhev virt-viewer; uname -r
qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
libvirt-0.10.2-14.el6.x86_64
virt-viewer-0.5.2-18.el6.x86_64
2.6.32-348.el6.x86_64

How reproducible:
some times

Steps to Reproduce:
1. # virsh start r

2. # virt-viewer r

Gdk-ERROR **: The program 'virt-viewer' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 482 error_code 2 request_code 139 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Aborted (core dumped)

Actual results:
as steps

Expected results:
virt-viewer work well.

Additional info:
It's very difficult to be reproduced, and there is the coredump file in attachment.

After install "virt-viewer-debuginfo",
then execute command #gdb virt-viewer coredump, you will find

(gdb) bt
#0  0x00000035588328a5 in raise () from /lib64/libc.so.6
#1  0x0000003558834085 in abort () from /lib64/libc.so.6
#2  0x0000003559c4337a in g_logv () from /lib64/libglib-2.0.so.0
#3  0x0000003559c43413 in g_log () from /lib64/libglib-2.0.so.0
#4  0x0000003561c68176 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#5  0x000000355bc45fbe in _XError () from /usr/lib64/libX11.so.6
#6  0x000000355bc42b27 in ?? () from /usr/lib64/libX11.so.6
#7  0x000000355bc42b75 in ?? () from /usr/lib64/libX11.so.6
#8  0x000000355bc437f5 in _XEventsQueued () from /usr/lib64/libX11.so.6
#9  0x000000355bc342fd in XPending () from /usr/lib64/libX11.so.6
#10 0x0000003561c5d099 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#11 0x0000003559c3be0a in g_main_context_check () from /lib64/libglib-2.0.so.0
#12 0x0000003559c3c66f in ?? () from /lib64/libglib-2.0.so.0
#13 0x0000003559c3cd55 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#14 0x000000355f94c307 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x000000000041e80a in main (argc=1, argv=0x7fff1284fb08) at virt-viewer-main.c:145

#vim /usr/src/debug/virt-viewer-0.5.2/src/virt-viewer-main.c

141     g_object_set(viewer, "fullscreen", fullscreen, NULL);
142     if (!virt_viewer_app_start(VIRT_VIEWER_APP(viewer)))
143         goto cleanup;
144
145     gtk_main();
146
147     ret = 0;
Comment 1 Marc-Andre Lureau 2013-05-09 19:31:45 EDT
is your VM using Spice or VNC? How many monitors are configure? Can you run virt-viewer with --debug? can you get the gdb backtrace with gtk & gdk symbols installed?

thanks
Comment 2 EricLee 2013-05-09 23:23:49 EDT
Hi Lureau,

I am using VNC and only one monitor in my VM.

However, I am afraid I can not provide debug info with "virt-viewer --debug", and also for gdb backtrace for this time, because it is very difficult to reproduce. I just cross this core dump by accident.

You can see more core dump info from the attachment. And I will try to collect more debug/gdb info/backtrace if I cross it next time.

BTW, this bug is also appeared in RHEL7. I and other QE encountered it some times.

Thanks,
EricLee
Comment 3 Marc-Andre Lureau 2013-05-10 07:34:00 EDT
Is it a VNC-only bug?
Comment 4 EricLee 2013-05-12 03:26:43 EDT
(In reply to comment #3)
> Is it a VNC-only bug?

Sorry, I am not sure about it as it has been reported for 4 months. But my vms are always using VNC as default monitor, so I think this bug is most probable for VNC.
Comment 5 Marc-Andre Lureau 2013-05-12 08:41:26 EDT
I am afraid we lack informations and the backtrace isn't helpful, we need a reproducer and if possible a backtrace with the --sync.
Comment 6 EricLee 2013-05-12 22:13:04 EDT
I am sorry for the lack information probelm. However, it is a accidentally bug and we have provide all the info that we can provide till now. We would still track the issue, any guys in our team reproduce the issue would update comments on it.

Thanks,
EricLee.
Comment 7 Marc-Andre Lureau 2013-05-13 06:02:57 EDT
without further informations for now, we can't work on this bug.

Please reopen when you have more informations

Note You need to log in before you can comment on or make changes to this bug.